Skip to main content
POST
/
startKYBAgentJob
Start a KYB agent job
curl --request POST \
  --url https://api.parcha.ai/api/v1/startKYBAgentJob \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_key": "<string>",
  "check_ids": [
    "<string>"
  ]
}
'
{
  "status": "ok",
  "job_id": "<string>",
  "message": "<string>",
  "job": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.

Body

application/json
agent_key
string
required

The unique identifier for the agent

check_ids
string[]

The check IDs to run (runs all checks in agent configuration if not provided)

kyb_schema
object

Response

Job started successfully

status
enum<string>
Available options:
ok,
failed,
mock_success
job_id
string | null
message
string
job
object